package de.avatic.lcc.model.db.premises.route;

import java.math.BigDecimal;


public class RouteNode {

    private Integer id;

    private String name;

    private String address;

    private String externalMappingId;

    private Boolean isDestination;

    private Boolean isIntermediate;

    private Boolean isSource;

    private BigDecimal geoLat;

    private BigDecimal geoLng;

    private Boolean isOutdated;

    private Integer nodeId;

    private Integer userNodeId;

    private Integer countryId;

    public String getExternalMappingId() {
        return externalMappingId;
    }

    public void setExternalMappingId(String externalMappingId) {
        this.externalMappingId = externalMappingId;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Boolean getDestination() {
        return isDestination;
    }

    public void setDestination(Boolean destination) {
        isDestination = destination;
    }

    public Boolean getIntermediate() {
        return isIntermediate;
    }

    public void setIntermediate(Boolean intermediate) {
        isIntermediate = intermediate;
    }

    public Boolean getSource() {
        return isSource;
    }

    public void setSource(Boolean source) {
        isSource = source;
    }

    public BigDecimal getGeoLat() {
        return geoLat;
    }

    public void setGeoLat(BigDecimal geoLat) {
        this.geoLat = geoLat;
    }

    public BigDecimal getGeoLng() {
        return geoLng;
    }

    public void setGeoLng(BigDecimal geoLng) {
        this.geoLng = geoLng;
    }

    public Boolean getOutdated() {
        return isOutdated;
    }

    public void setOutdated(Boolean outdated) {
        isOutdated = outdated;
    }

    public Integer getNodeId() {
        return nodeId;
    }

    public void setNodeId(Integer nodeId) {
        if (nodeId == null || nodeId == 0) this.nodeId = null;
        else this.nodeId = nodeId;
    }

    public Integer getUserNodeId() {
        return userNodeId;
    }

    public void setUserNodeId(Integer userNodeId) {
        if (userNodeId == null || userNodeId == 0) this.userNodeId = null;
        else this.userNodeId = userNodeId;
    }

    public Integer getCountryId() {
        return countryId;
    }

    public void setCountryId(Integer countryId) {
        this.countryId = countryId;
    }
}
